# TdApi.GetLoginUrl (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: GetLoginUrl

Package it.tdlight.jni

# Class TdApi.GetLoginUrl

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.GetLoginUrl

Enclosing class:
  TdApi

    public static class TdApi.GetLoginUrl
    extends TdApi.Function

Returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl. Use the method getLoginUrlInfo to find whether a prior user confirmation is needed. If an error is returned, then the button must be handled as an ordinary URL button.

Returns `HttpUrl`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`boolean` | `allowWriteAccess` | True, if the user allowed the bot to send them messages.
`long` | `buttonId` | Button identifier.
`long` | `chatId` | Chat identifier of the message with the button.
`static int` | `CONSTRUCTOR` |
`long` | `messageId` | Message identifier of the message with the button.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GetLoginUrl()` | Returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl.
`GetLoginUrl​(long chatId, long messageId, long buttonId, boolean allowWriteAccess)` | Returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl.
`GetLoginUrl​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier of the message with the button.

### messageId

public long messageId
Message identifier of the message with the button.

### buttonId

public long buttonId
Button identifier.

### allowWriteAccess

public boolean allowWriteAccess
True, if the user allowed the bot to send them messages.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### GetLoginUrl

public GetLoginUrl()
Returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl. Use the method getLoginUrlInfo to find whether a prior user confirmation is needed. If an error is returned, then the button must be handled as an ordinary URL button.

Returns `HttpUrl`

### GetLoginUrl

public GetLoginUrl​(long chatId, long messageId, long buttonId, boolean allowWriteAccess)
Returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl. Use the method getLoginUrlInfo to find whether a prior user confirmation is needed. If an error is returned, then the button must be handled as an ordinary URL button.

Returns `HttpUrl`

Parameters:
  `chatId` - long Chat identifier of the message with the button.
  `messageId` - long Message identifier of the message with the button.
  `buttonId` - long Button identifier.
  `allowWriteAccess` - boolean True, if the user allowed the bot to send them messages.

### GetLoginUrl

public GetLoginUrl​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`